Package org.eclipse.birt.chart.model.component.impl

# Class ComponentFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.birt.chart.model.component.impl.ComponentFactoryImpl

All Implemented Interfaces:
  `ComponentFactory`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

public class ComponentFactoryImpl extends org.eclipse.emf.ecore.impl.EFactoryImpl implements ComponentFactory
An implementation of the model Factory .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.component.ComponentFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`ComponentFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EObject`
`create(org.eclipse.emf.ecore.EClass eClass)`
`Axis`
`createAxis()`
`ChartPreferences`
`createChartPreferences()`
`CurveFitting`
`createCurveFitting()`
`Dial`
`createDial()`
`DialRegion`
`createDialRegion()`
`Map.Entry<String,DataSet>`
`createEStringToDataSetMapEntry()`
`Grid`
`createGrid()`
`Label`
`createLabel()`
`MarkerLine`
`createMarkerLine()`
`MarkerRange`
`createMarkerRange()`
`Needle`
`createNeedle()`
`Scale`
`createScale()`
`Series`
`createSeries()`
`ComponentPackage`
`getComponentPackage()`
`static ComponentPackage`
`getPackage()`
Deprecated.
`static ComponentFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### ComponentFactoryImpl

public ComponentFactoryImpl()
Creates an instance of the factory.

## Method Details

### init

public static ComponentFactory init()
Creates the default factory implementation.

### create

public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAxis

public Axis createAxis()

Specified by:
  `createAxis` in interface `ComponentFactory`
Returns:
  a new object of class 'Axis'.

### createChartPreferences

public ChartPreferences createChartPreferences()

Specified by:
  `createChartPreferences` in interface `ComponentFactory`
Returns:
  a new object of class 'Chart Preferences'.

### createCurveFitting

public CurveFitting createCurveFitting()

Specified by:
  `createCurveFitting` in interface `ComponentFactory`
Returns:
  a new object of class 'Curve Fitting'.

### createDial

public Dial createDial()

Specified by:
  `createDial` in interface `ComponentFactory`
Returns:
  a new object of class 'Dial'.

### createDialRegion

public DialRegion createDialRegion()

Specified by:
  `createDialRegion` in interface `ComponentFactory`
Returns:
  a new object of class 'Dial Region'.

### createGrid

public Grid createGrid()

Specified by:
  `createGrid` in interface `ComponentFactory`
Returns:
  a new object of class 'Grid'.

### createLabel

public Label createLabel()

Specified by:
  `createLabel` in interface `ComponentFactory`
Returns:
  a new object of class 'Label'.

### createMarkerLine

public MarkerLine createMarkerLine()

Specified by:
  `createMarkerLine` in interface `ComponentFactory`
Returns:
  a new object of class 'Marker Line'.

### createMarkerRange

public MarkerRange createMarkerRange()

Specified by:
  `createMarkerRange` in interface `ComponentFactory`
Returns:
  a new object of class 'Marker Range'.

### createNeedle

public Needle createNeedle()

Specified by:
  `createNeedle` in interface `ComponentFactory`
Returns:
  a new object of class 'Needle'.

### createScale

public Scale createScale()

Specified by:
  `createScale` in interface `ComponentFactory`
Returns:
  a new object of class 'Scale'.

### createSeries

public Series createSeries()

Specified by:
  `createSeries` in interface `ComponentFactory`
Returns:
  a new object of class 'Series'.

### createEStringToDataSetMapEntry

public Map.Entry<String,DataSet> createEStringToDataSetMapEntry()

### getComponentPackage

public ComponentPackage getComponentPackage()

Specified by:
  `getComponentPackage` in interface `ComponentFactory`
Returns:
  the package supported by this factory.

### getPackage

@Deprecated public static ComponentPackage getPackage()
Deprecated.